package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaCertReisApplMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaCertReisAppl;
import com.goldenwater.slaj.ttsa.service.IBisTtsaCertReisApplService;

@Service
public class BisTtsaCertReisApplServiceImpl implements IBisTtsaCertReisApplService {
    @Autowired
    private BisTtsaCertReisApplMapper bisTtsaCertReisApplMapper;

    @Override
    public BisTtsaCertReisAppl selectBisTtsaCertReisApplByGuid(String guid) {
        return bisTtsaCertReisApplMapper.selectBisTtsaCertReisApplByGuid(guid);
    }

    @Override
    public List<BisTtsaCertReisAppl> selectBisTtsaCertReisApplList(BisTtsaCertReisAppl bisTtsaCertReisAppl) {
        return bisTtsaCertReisApplMapper.selectBisTtsaCertReisApplList(bisTtsaCertReisAppl);
    }

    @Override
    public int insertBisTtsaCertReisAppl(BisTtsaCertReisAppl bisTtsaCertReisAppl) {
        return bisTtsaCertReisApplMapper.insertBisTtsaCertReisAppl(bisTtsaCertReisAppl);
    }

    @Override
    public int updateBisTtsaCertReisAppl(BisTtsaCertReisAppl bisTtsaCertReisAppl) {
        return bisTtsaCertReisApplMapper.updateBisTtsaCertReisAppl(bisTtsaCertReisAppl);
    }

    @Override
    public int deleteBisTtsaCertReisApplByGuid(String guid) {
        return bisTtsaCertReisApplMapper.deleteBisTtsaCertReisApplByGuid(guid);
    }

    @Override
    public int deleteBisTtsaCertReisApplByGuids(String[] guids) {
        return bisTtsaCertReisApplMapper.deleteBisTtsaCertReisApplByGuids(guids);
    }
}
